/*Главная секция*/

.general_container {
    max-width: 1770px;
    min-height: 620px;
}
.slide_container {
    padding: 107px 75px 90px;
    display: flex;
    flex-direction: column;
    color: var(--white);

}
.general_title {
    margin-bottom: 22px;
    font-size: 70px;
    font-weight: 800;
    line-height: 85px;
    max-width: 830px;
}

.general_text {
    font-weight: 700;
    font-size: 23px;
    max-width: 800px;
    line-height: 30px;
    margin-bottom: 92px;
}

.general_button {
    color: var(--white);
    background-color: var(--orange);
    border: none;
    padding: 29px 36px;
    max-width: 210px;
    max-height: 80px;
    font-weight: 700;
    font-size: 23.4581px;
    cursor: pointer;
}

/*ховер-эффекты*/

.general_button:hover {
    background-color: rgba(255, 153, 0, 0.6);
}

/*Медиа-выражения*/

@media (max-width: 1122px) {
    .general_title {
        font-size: 60px;
        line-height: 80px;
        margin-bottom: 0px;
    }
    .general_text {
        font-size: 19px;
        word-spacing: 0.1em;
        max-width: 700px;
        line-height: 25px;
    }
}

@media (max-width: 1024px) {
    .general_container {
        max-width: 924px;
        min-height: 670px;
    }
    .slide-balcon_container {
        padding: 155px 20px 30px 45px;
    }
    .general_button {
        margin-bottom: 85px;
    }
}

@media (max-width: 768px) {
    .general_container {
        min-height: 700px;
    }
    .slide-balcon_container {
        padding: 190px 10px 30px 50px;
    }
    .general_title {
        line-height: 75px;
        margin-bottom: 5px;
    }
}


/*Медиа-выражения для мобильной версии*/
@media (max-width: 640px) {
    .general_container {
        min-height: 260px;
        max-height: 260px;
    }
    .slide-balcon_container {
        padding: 32px 35px 20px;
        align-items: center;
    }
    .general_title {
        font-size: 20px;
        line-height: normal;
        text-align: center;
    }
    .general_text {
        font-size: 12px;
        line-height: normal;
        text-align: center;
        max-width: 250px;
        margin-bottom: 35px;
    }
    .general_button {
        margin-bottom: 5px;
        min-width: 162px;
        max-height: 60px;
        font-size: 12px;
        padding: 15px 14px;
    }
    }
    @media (max-width: 320px) {
        .general_title {
            min-width: 233px;
        }
    }



    .parent-general_container {
        width: 100%;
        max-width: 1920px;
        margin: 0 auto;
        padding: 0 75px;
      }
    
      @media (max-width: 1304px) {
        .parent-general_container {
          padding: 0 0px 0;
        }
      }
      @media (max-width: 640px) {
        .parent-general_container {
          padding: 0 15px 0;
        }
      }